Package com.ocient.jdbc

# Class XGResultSet.SecondaryResultSetThread

java.lang.Object
com.ocient.jdbc.XGResultSet.SecondaryResultSetThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  XGResultSet

    public class XGResultSet.SecondaryResultSetThread
    extends Object
    implements Runnable

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SecondaryResultSetThread​(CompletableFuture<Void> barrier)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `run()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecondaryResultSetThread

public SecondaryResultSetThread​(CompletableFuture<Void> barrier)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`